<?php

/**
 * VGS Related Field Generator Module
 *
 *
 * @package        VGSRelatedFields Module
 * @author         Conrado Maggi - www.vgsglobal.com
 * @license        vTiger Public License.
 * @version        Release: 1.0
 */

class VGSRelatedFields_getRL_Action extends Vtiger_Action_Controller {

    public function checkPermission(Vtiger_Request $request) {
        global $current_user;
        $moduleName = $request->getModule();

        if (!is_admin($current_user)) {
            throw new AppException('LBL_PERMISSION_DENIED');
        }
    }

    public function process(Vtiger_Request $request) {
        $db = PearDatabase::getInstance();
        $module1 = Vtiger_Module_Model::getInstance($request->get('module1'));
        $module2 = Vtiger_Module_Model::getInstance($request->get('module2'));
        
        $sql = "SELECT relation_id, label FROM vtiger_relatedlists
                WHERE name='vgs_dependents_list' AND tabid=? AND related_tabid=?";
        
        $result = $db->pquery($sql, array($module2->id,$module1->id));
        if ($db->num_rows($result) > 0) {
            $htmlOptions = $this->buildOptionsArray($result,$module2->name);
            $fieldsResponse['result'] = 'ok';
            $fieldsResponse['options'] = $htmlOptions;
        } else {
            $fieldsResponse['result'] = 'fail';
        }


        $response = new Vtiger_Response();
        $response->setResult($fieldsResponse);
        $response->emit();
    }

    function buildOptionsArray($result,$selectedModule) {
        $db = PearDatabase::getInstance();
        
        for ($i = 0; $i < $db->num_rows($result); $i++) {
            $optionArray[$db->query_result($result, $i, 'relation_id')] = getTranslatedString($db->query_result($result, $i, 'label'),$selectedModule);
        }
        return $optionArray;
    }

}
